Description

When it is not enough hours WorkHours context currently suggests tasks assuming that lunch time is 13:00 - 14:00 for everyone. But

this time may differ for employees...

The WorkHours context should be able to “detect” the lunch time of an employee by extracting it from previous database records.

Currently similar is done to detect work hours...

I do not use WorkHours context mostly because lunch time is not detected correctly...

History

#1 - 10 Jun 2010 11:30 - Andriy Lesyuk

The main issue here is how to determine lunch time.. Currently I see several options:

1. Extract information about tasks time, calculate lunch time, calculate average time.

2. Create a context which will save away times for previous day and this way will detect lunch time (but what if Jabber client is buggy?).

#2 - 11 Jun 2010 20:56 - Andriy Lesyuk

- Target version set to 1.02

#3 - 28 Jun 2010 23:41 - Andriy Lesyuk

I like option #2 more... Detected lunch time can be saved in memory and dumped to special files on terminate. Anyway it is perhaps a good idea to

store user’s away/online status changes for the previous/current work day. I believe this information can be useful...

#4 - 02 Jul 2010 21:08 - Andriy Lesyuk

- Status changed from Open to In Progress

- Start date set to 02 Jul 2010

#5 - 08 Jul 2010 01:14 - Andriy Lesyuk

- % Done changed from 0 to 10

#6 - 08 Jul 2010 16:46 - Andriy Lesyuk

- % Done changed from 10 to 20

#7 - 12 Jul 2010 12:50 - Andriy Lesyuk

- Target version changed from 1.02 to 1.03

- % Done changed from 20 to 50

A special context Presence has been added. This context collects information about user’s online/away times and stores it in a special custom field.

The context is trying to detect buggy clients (which are sending online presence even if a user is away) and to remove too short periods (less than a

half of an hour). Because of this I can’t be sure that information collected is valid and the context should be well tested. The testing is to be done

under production environment (currently the context only collects data - nothing uses them). The production environment has many clients and some
of them are buggy - that’s why the context can be tested only on production.

In other words this bug is not going to be fixed in 1.02. So postponing it to 1.03...

#8 - 26 Aug 2010 20:14 - Andriy Lesyuk

Looks like there is something to change in Presence context... I believe the issue will be closed only in 1.04.

#9 - 27 Aug 2010 18:13 - Andriy Lesyuk

- Target version changed from 1.03 to 1.04

#10 - 16 Sep 2010 20:20 - Andriy Lesyuk

- Priority changed from Minor to Normal

#11 - 15 Oct 2010 18:34 - Andriy Lesyuk

- Target version changed from 1.04 to 1.05

#12 - 11 Dec 2010 02:17 - Andriy Lesyuk

- Target version changed from 1.05 to 1.07

#13 - 01 Mar 2011 14:42 - Andriy Lesyuk

- Tracker changed from Feature to Improvement

- Project changed from Orangutan to Orangutan::Redmine
